Bug 309828 - Previous and Next conversation links are shown twice
Summary: Previous and Next conversation links are shown twice
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: log-viewer (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR normal
Target Milestone: Future
Assignee: Daniele E. Domenichelli
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-09 20:38 UTC by Daniele E. Domenichelli
Modified: 2012-11-10 11:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.5.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2012-11-09 20:38:48 UTC
Starting with the second time a log is loaded, the Previous and Next conversation links are displayed twice

See http://wstaw.org/m/2012/11/09/snapshot106.png
Comment 1 Daniele E. Domenichelli 2012-11-09 20:39:26 UTC
Taking this, since I almost wrote a patch
Comment 2 Daniele E. Domenichelli 2012-11-10 11:10:36 UTC
Git commit 3ca24fbeabfdc6827f8fbe7a5bd05af561236807 by Daniele E. Domenichelli.
Committed on 09/11/2012 at 21:29.
Pushed by ddomenichelli into branch 'kde-telepathy-0.5'.

Fix the logviewer showing twice "Previous conversation" and "Next conversation"

Reviewed-by: David Edmundson <kde@davidedmundson.co.uk>
Reviewed-by: Dan Vrátil <dvratil@redhat.com>
REVIEW: 107269
FIXED-IN: 0.5.2

M  +13   -33   logviewer/message-view.cpp
M  +3    -7    logviewer/message-view.h

http://commits.kde.org/telepathy-text-ui/3ca24fbeabfdc6827f8fbe7a5bd05af561236807